/*---------shared styles-----------------*/

.facet-container * {
-webkit-box-sizing: border-box;
-moz-box-sizing: border-box;
box-sizing: border-box;
-webkit-font-smoothing: antialiased;
-moz-osx-font-smoothing: grayscale;
}

.facet-container [class^="js-facet-clear"] {
font-weight: bold;
}


/*---------facet-container--------------*/
/* Styles for facet-container */
.facet-container {
position: relative;
}

/*# FACET HEADER #*/
.facet-container .facet-header {
font-size: 13px;
font-weight:normal;
padding:0;
position: relative;
}
.facet-header.js-facet-accordion-action {
cursor: pointer;
}
.facet-header.js-facet-accordion-action:after {
content: "";
display: block;
font-size: 12px;
position: absolute;
right: 0;
text-transform: none;
top: 10px;
vertical-align: middle;
}
.facet-container.open .js-facet-accordion-action:after {
content: "";
}

.facet-header .facet-header-title {
display: block;
font-size: 16px;
font-weight: bold;
line-height:normal;
margin: 0;
padding: 0px;
text-transform: capitalize;
}

.facet-header .js-facet-clear{
font-size: 13px;
float: right;
line-height: 18px;
margin-right: 0;
width:100%;
font-weight:normal;
}

/*# FACET OPEN AND CLOSE STATES #*/
.facet-container .facet-body {
overflow: hidden;
}
.facet-container.close .facet-body {
display: none;
}
.facet-container.open .facet-body {
display: block;
clear:both;
}

/*# FACET BODY #*/
.facet-container .facet-body {
margin: 0 auto 20px;
padding:0;
}


/*# FACETBASE FORMS #*/
.facet-container .facet-form {
margin: 0;
padding: 2px 0 8px;
}
.facet-container .facet-form fieldset {
margin: 0;
padding: 0;
}
.facet-container .facet-form .error {
color: #ff0000;
font-size: 11px;
margin: 0 0 8px;
}
.facet-container .facet-form input {
-webkit-appearance: textfield;
-moz-appearance:    textfield;
appearance:         textfield;
border: 1px solid #ddd;
border-radius: 4px;
display: inline-block;
font-size: 13px;
margin: 0;
padding: 5px 0;
text-indent: 8px;
width: 50px;
}
.facet-container .facet-form.current input,
.facet-container .facet-form.focus input {
border-color: #666;
}
.facet-container .facet-form .btn, .facet-container .facet-form .btn.alt {
    background-color: #00baff;
    border: 1px solid #00aeee;
    border-radius: 4px;
    box-shadow: 0 0 1px rgba(255, 255, 255, 0.5) inset;
    box-sizing: border-box;
    color: #fff;
    cursor: pointer;
    display: inline-block;
    font-family: "Open Sans",sans-serif;
    font-size: 14px;
    height: auto;
    line-height: normal;
    padding: 5px 10px;
    text-align: center;
    text-transform: uppercase;
}
.facet-container .facet-form .btn:hover {background-color: #333; border-color:#333;}
.facet-container .facet-form .btn.alt {background-color: #333; border:1px solid #333;}
.facet-container .facet-form .btn.alt:hover {background-color: #00baff; border-color:#00aeee;}


.facet-container .facet-form .js-btn-facet-range-clear {
background: #fff;
color: #999;
display: inline-block;
}
.facet-container .facet-form.current.focus .js-btn-facet-range-clear,
.facet-container .facet-form.current .js-btn-facet-range-update {
display: inline-block;
}
.facet-container .facet-form.current .js-btn-facet-range-clear,
.facet-container .facet-form.current.focus .js-btn-facet-range-update {
display: inline-block;
}

/*# FACET LIST IN VIEW ALL MODAL #*/

.facet-container-view-all {
    border: 0;
}

.facet-quickfind-heading {
    margin: 0 0 20px;
    padding: 0;
    text-transform: capitalize;
}

.facet-quickfind-form {
    margin-bottom: 20px;
}

.facet-quickfind-form fieldset {
    border: 0;
    margin: 0;
}

.facet-container.facet-container-view-all .facet-body {
    margin: 0;
    padding: 0;
}

.facet-container-view-all .facet-value-list-quickfind {
    margin-bottom: 0;
    width: 30%;
}

.facet-container.facet-container-view-all .facet-option,
.facet-container.facet-container-view-all .facet-option a,
.facet-container.facet-container-view-all .facet-option .facet-option-product-count {
    font-size: 14px;
}

.facet-container.facet-container-view-all .facet-option a {
    line-height: 1.5;
}

.facet-container.facet-container-view-all .facet-option.selected a {
    font-weight: 700;
}

.facet-container-view-all .facet-options-columns {
    -webkit-column-count: 3;
    -webkit-column-gap: 20px;
    -moz-column-count: 3;
    -moz-column-gap: 20px;
    column-count: 3;
    column-gap: 20px;
}

/*# FACET OPTION LIST #*/
.facet-container .facet-options-list {
list-style: none;
margin: 0 0 8px;
padding: 0;
}
.facet-container .facet-option {
cursor: pointer;
font-size: 13px;
line-height: 16px;
margin: 0;
padding: 0;
}
.facet-container .facet-option * {
cursor: pointer;
}
.facet-container .facet-option label,
.facet-container .facet-option a {
display: block;
line-height: 14px;
padding: 2px 0;
}
.facet-container .facet-option .facet-option-product-count {
font-size: 11px;
}
/*# SLECTED FACET #*/
.facet-container .facet-option.selected {
position: relative;
font-weight: bold;
}
.facet-option.selected label:after, .facet-option.selected a:after {
content: "x";
display: none;
line-height: 1;
position: absolute;
right: 12px;
top: 33%;
font-size: 14px;
font-weight: bold;
}
.facet-option.selected:hover label:after,
.facet-option.selected:hover a:after {
display: block;
}


/*# RATINGS #*/
.facet-option-rating-stars {
display: inline-block;
margin-right: 5px;
vertical-align: middle;
}



/*# CATEGORY FACETS #*/
.facet-container-category .facet-option {
padding-left: 0;
}
.facet-container-category.level1 .facet-option {
padding-left: 8px;
}
.facet-container-category.level2 .facet-option {
padding-left: 16px;
}
.facet-container-category.level3 .facet-option {
padding-left: 24px;
}
.facet-container-category.level4 .facet-option {
padding-left: 32px;
}
.facet-container-category.level5 .facet-option {
padding-left: 40px;
}
.facet-container-category .facet-option.level0 {
padding-left: 12;
}
.facet-container-category .facet-option.level1 {
padding-left: 8px;
}
.facet-container-category .facet-option.level2 {
padding-left: 16px;
}
.facet-container-category .facet-option.level3 {
padding-left: 24px;
}
.facet-container-category .facet-option.level4 {
padding-left: 32px;
}
.facet-container-category .facet-category-option-has-children:before {
content: '';
font-size: 16px;
position: absolute;
right: 6px;
}
.facet-container-category .facet-option.level0 .facet-category-option-has-children:before {
content: none;
}
.facet-container-category .facet-option.level1 .facet-category-option-has-children:before {
content: none;
}
.facet-container-category .facet-option.level2 .facet-category-option-has-children:before {
content: none;
}
.facet-container-category .facet-option.level3 .facet-category-option-has-children:before {
content: none;
}


/*# FACET MORE BUTTON #*/
.facet-options-list + .js-facet-more-options {
margin-top: -8px;
}

.facet-container .btn-facet-more-options:before,
.facet-container .btn-facet-more-options:after {
display: inline-block;
}
.facet-container .btn-facet-more-options:after {
margin-left: 5px;
}
.facet-container .btn-facet-more-options.more:before{
content: "More";
}
.facet-container .btn-facet-more-options.more:after{
content: "\00BB";
}
.facet-container .btn-facet-more-options.less:before{
content: "Less";
}
.facet-container .btn-facet-more-options.less:after{
content: "\00ab";
}

/*---------facet-showing-container --------------*/
/* Styles for facet selection labels container */
.js-faceted-showing-container {
padding-bottom: 8px;
}
ul.facet-labels-list {
margin: 0 0 3px;
padding: 0;
}
ul.facet-labels-list li {
font-size: 13px;
}
ul.facet-labels-list li.NoFilter:hover {color:#999; background:none;}
ul.facet-labels-list .facet-label {
background: #999;
-moz-border-radius: 3px;
-webkit-border-radius: 3px;
border-radius: 3px;
display: inline-block;
font-size: 11px;
margin: 0 0 4px 0;
padding: 3px 5px;
-webkit-font-smoothing: antialiased;
-moz-osx-font-smoothing: grayscale;
}
ul.facet-labels-list a {
color:#fff;
font-weight: normal;
font-size:13px;
line-height: normal;
text-transform: capitalize;
}
ul.facet-labels-list a:after {
content: "x";
display: inline-block;
font-size: 10px;
margin-left: 5px;
}
ul.facet-labels-list li:hover, ul.facet-labels-list li a:hover {background-color:#333;}
.facet-container .js-facet-clear-all {
font-size: 12px;
}


/* =======================================================================
Faceted Search Filtering Style Starts Here - 23-4-2014
======================================================================= */
.facet-header .facet-header-title {background: #999; border-radius: 4px 4px 0 0; color: #fff; font-size: 16px; margin: 0; padding: 6px 12px; text-transform: uppercase;}
.facet-header .facet-header-title .clearlink {background: #666; border-radius: 4px; color: #fff; float: right; font-size: 13px; font-weight: normal; margin: 0 -5px; padding: 2px 5px; text-transform: none;}
.facet-header .facet-header-title .clearlink:hover {background:#fff; color:#666;}
.facet-body {background:#fff; border-radius:0 0 4px 4px; margin-bottom:20px;}

.facet-body ul li, .facet-container .facet-body ul li {border-top: 1px solid #e5e5e5; padding: 10px 12px;}
.facet-body ul.facet-labels-list li {padding:3px 5px;}
.facet-body ul li:first-child {border-top:none;}
.facet-body #facet-range-form, .facet-container .facet-body #facet-range-form, .js-faceted-showing-container .facet-body {padding: 10px 12px;}
#facet-range-form input[type="text"] {margin-bottom: 15px; width: 40%;} 

.js-facet-clear {background: #666; color: #fff !important; cursor: pointer; display: block; padding: 5px 10px; text-align: right;}

.facet-container.close .facet-header-title {border-radius:4px; margin-bottom:20px;}
.facet-container.close .facet-body, .facet-container.close .js-facet-clear {display:none;}
.facet-container.open .facet-header .facet-header-title, .facet-container.close .facet-header .facet-header-title {background: #00baff url(%%ASSET_images/opencloseicon.png%%) 96% -48px no-repeat;}
.facet-container.close .facet-header .facet-header-title {background: #999 url(%%ASSET_images/opencloseicon.png%%) 96% 12px no-repeat;}
.NoFilter {color:#999;}

.facet-container .btn-facet-more-options {background: #00baff; border:1px solid #00baff; color: #fff; font-size: 13px; font-weight: normal; height: auto; line-height: 16px; margin: 0; padding: 4px 6px 6px; text-align: left; width: auto;}
.facet-container .btn-facet-more-options:hover {background:#333; border-color:#333; color: #fff; }
.js-pagination.CategoryPagination {margin-left:auto !important;}
.js-faceted-search-action:hover {border-color:#333;}
.js-faceted-search-action.active:hover {border-color:#00baff;}


/*----------------------------------------------------------------------------------------------------------
#############################################  MOBILE
----------------------------------------------------------------------------------------------------------*/
.js-faceted-search-action {
display: none;
}

.js-faceted-search-column.mobile-in-view {
display: block !important;
margin: 0;
}

/* 768px */
@media screen and (max-width: 768px) {
    /*# FACET LIST IN VIEW ALL MODAL #*/
    .facet-container-view-all .facet-header {
        padding: 0;
    }

    .facet-container .facet-options-columns {
        -webkit-column-count: 2;
        -webkit-column-gap: 20px;
        -moz-column-count: 2;
        -moz-column-gap: 20px;
        column-count: 2;
        column-gap: 20px;
    }

    .facet-container-view-all .facet-value-list-quickfind {
        width: 100%;
    }

.js-faceted-search-container {
margin-bottom: 20px;
}

.js-faceted-showing-container {
display: none;
}

.js-faceted-search-action {
display: block;
margin-bottom: 20px;
width: 100%;
}

.facet-container .facet-header {
font-size: 16px;
padding: 0;
}

.facet-header .facet-header-title {
font-size: 16px;
}

.facet-header.js-facet-accordion-action:after {
top: 24px;
}

.facet-header .js-facet-clear {
font-size: 14px;
margin-right: 0;
}

.facet-container .facet-options-list {
margin: 0 auto;
}

.facet-container .facet-option {
font-size: 14px;
}
.facet-container .facet-option label,
.facet-container .facet-option a {
padding: 0;
line-height: 1;
}

.facet-container .btn-facet-more-options {
font-size: 14px;
padding: 10px 0 20px;
}

.facet-container .facet-form input {
width: 100%;
}
.facet-container .facet-form .btn {
height: auto;
margin: 0 auto;
padding: 5px 10px;
}

.CategoryPagination {margin-bottom:15px !important;}
.js-pagination.CategoryPagination {margin-bottom:0 !important;}


}


/* 480px */
@media screen and (max-width: 480px) {
    .facet-container-view-all .facet-header {
        padding: 0;
    }

    /*# FACET LIST IN VIEW ALL MODAL #*/
    .facet-container .facet-options-columns {
        -webkit-column-count: initial;
        -webkit-column-gap: initial;
        -moz-column-count: initial;
        -moz-column-gap: initial;
        column-count: initial;
        column-gap: initial;
    }
}
